Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367121 - when receiving a Delete request in IKEv2 for an auto=start tunnel, the tunnel is not re-initiated
Summary: when receiving a Delete request in IKEv2 for an auto=start tunnel, the tunnel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreswan
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Paul Wouters
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 15:22 UTC by Paul Wouters
Modified: 2018-09-19 19:51 UTC (History)
2 users (show)

Fixed In Version: 3.20-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 12:31:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2101 normal SHIPPED_LIVE libreswan bug fix and enhancement update 2017-08-01 16:07:26 UTC
Red Hat Bugzilla 1631044 None CLOSED connection is not re-initiated when it is torn down by whack --deletestate 2019-02-08 14:42:11 UTC

Internal Links: 1631044

Description Paul Wouters 2016-08-15 15:22:43 UTC
When a tunnel is configured with auto=start, the tunnel is supposed to remain up.
When the remote end sends a delete, the tunnel is torn down, but no new tunnel is initiated. Also, the tunnel is placed in "auto=add" mode, not "auto=route", causing a potential plaintext packet leak.

note that a DPD/liveness failure at the remote can cause it to send a delete request.

See also the discussion at:


https://lists.libreswan.org/pipermail/swan-dev/2016-July/001537.html

Comment 4 Ondrej Moriš 2017-06-23 18:55:33 UTC
Successfully verified on all architectures that connection with auto=start is re-initiated after:

 * ipsec auto --down <conn>
 * ipsec whack --deletestate <newest_ipsec_sa_id>

from remote end. Please notice that connection is NOT re-initiated after:

 * ipsec whack --name <conn> --delete 

For more details, please see TJ#1921798.

Comment 5 errata-xmlrpc 2017-08-01 12:31:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2101


Note You need to log in before you can comment on or make changes to this bug.